##### ssl::context::add_verify_path (1 of 2 overloads)

Add a directory containing certificate authority files to be used for performing verification.

    void add_verify_path(
        const std::string & path);

This function is used to specify the name of a directory containing certification authority certificates. Each file in the directory must contain a single certificate. The files must be named using the subject name's hash and an extension of ".0".

###### Parameters

path

  The name of a directory containing the certificates.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_CTX_load_verify_locations`.